Bug 25187 - The host property is not part of the settings/umc_operationset module
The host property is not part of the settings/umc_operationset module
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-05 16:28 CET by Alexander Kläser
Modified: 2017-07-26 14:39 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): External feedback, Usability, Workaround is available
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (1.50 KB, patch)
2017-07-11 17:15 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2011-12-05 16:28:18 CET
In Bug 23494 ist das folgenden Problem aufgefallen. Derzeit kann die Eigenschaft "host" in udm/umc_operationset nicht bearbeitet werden, da sie auf das (existierende) LDAP-Attribut nicht gemappt wird. Somit wird standardmäßig ["*"] als Wert genommen.
Comment 1 Stefan Gohmann univentionstaff 2013-04-28 14:03:30 CEST
Es kann einfach ein Extended Attribute hinzugefügt werden, beispielsweise:

udm settings/extended_attribute create \
 --position "cn=custom attributes,cn=univention,$(ucr get ldap/base)" \
 --set name=umcOperationHosts --set ldapMapping=umcOperationSetHost \
 --set multivalue=1 --set mayChange=1 \
 --set objectClass=umcOperationSet \
 --set module=settings/umc_operationset \
 --set syntax=string --set CLIName=hosts \
 --set shortDescription="UMC hosts"
Comment 2 Alexander Kläser univentionstaff 2013-05-03 11:29:41 CEST
OK
Comment 3 Ingo Steuwer univentionstaff 2013-06-11 11:18:43 CEST
Reopen - as long as this is a standard feature it should be part of the default attributes.
Comment 4 Florian Best univentionstaff 2016-10-13 14:51:23 CEST
Somewhere there is already a bug for this with a patch, but I don't find it.
Comment 5 Florian Best univentionstaff 2017-07-11 17:15:26 CEST
Created attachment 9015 [details]
patch
Comment 6 Florian Best univentionstaff 2017-07-12 16:44:00 CEST
A better description has been added to the patch, which explains the possible values. Translation has been added, too.

univention-directory-manager-modules (12.0.17-83):
r81100 | Bug #25187: add hosts property to settings/umc_operationset

univention-directory-manager-modules.yaml:
r81105 | YAML Bug #36631, Bug #35074, Bug #25187, Bug #25189
Comment 7 Johannes Keiser univentionstaff 2017-07-17 14:02:52 CEST
OK: The 'host' property is shown for settings/umc_operationset

YAML: OK
-> verified
Comment 8 Erik Damrose univentionstaff 2017-07-26 14:39:02 CEST
<http://errata.software-univention.de/ucs/4.2/115.html>